/* Hauptprogramm XPort128
 * Datei: mcu.h
 * Info: Header fr mcu.c
 * Autor: Pirkl Max
 * Datum:
*/

#include <stdlib.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <avr/delay.h>

#define XTAL		16000000L	// Crystal frequency in Hz
#define F_CPU		16000000L	// Crystal frequency in Hz fr delay.h


#ifndef CDEF_H
	#define CDEF_H
	
	typedef unsigned char byte;                       /* vorzeichenlose 8-Bit-Zahl */
	typedef unsigned int word;                        /* vorzeichenlose 16-Bit-Zahl */
	typedef signed char int8;                         /* vorzeichenbehaftete 8-Bit-Zahl */
	typedef signed int int16;                         /* vorzeichenbehaftete 16-Bit-Zahl */
	typedef byte bool;                                /* True/False Aussage */
	typedef unsigned long dword;                      /* Long-Zahl */
	typedef signed long int32;
	
	#define True                  1
	#define False                 0
	
	#define On                    1
	#define Off                   0
	
	#define NULL 0
#endif
