/* Header fr Unterprogramme fr USART
 * Datei: usart.h
 * Info: Header fr usart.c
 * Autor: Pirkl Max
 * Datum:
*/

#define DEST_XPORT 			0x01
#define DEST_COM 			0x02
#define DEST_OLD 			255

#define USART_BAUD_RATE 38400 //Baudrate
#define USART_BAUD_SELECT (XTAL/(USART_BAUD_RATE*16l)-1)  //berechnung des wertes fr das UBRR registers

void USART_init(void);
void USART_send (unsigned char data);
void USART_send_string (unsigned char *string);
void USART_dest(char dest);